# $Id: readme.php 1 2007-01-21 18:57:38Z elkner $

To activate PHP5 on your web server, you need to include the appropriate
options to your httpd servers configuration file (default: httpd.conf).

One way is to include the following line into your webservers httpd.conf:

Include conf/extra/php.conf


NOTE: The PHP5 module requires the following libraries always:
                  libphp5 libintl.so.1 libresolv.so.2 libm.so.2 libnsl.so.1 libsocket.so.1 libxml2.so.2 libz.so.1 libc.so.1 

      However, if you activate one or more extensions, additional libraries
      might be required as well. The following chart gives should give you
      an simple overview, which extension requires which libs:

                   bcmath libc.so.1 
                      bz2 libbz2.so.1 libc.so.1 
                 calendar libc.so.1 
                    ctype libc.so.1 
                      dba libdb-4.3.so libc.so.1 
                    dbase libc.so.1 
                      dom libxml2.so.2 libz.so.1 libm.so.2 libsocket.so.1 libnsl.so.1 libc.so.1 
                     exif libc.so.1 
                      ftp libssl.so.0.9.7 libcrypto.so.0.9.7 libc.so.1 
                       gd libfreetype.so.6 libX11.so.4 libXpm.so.4 libpng.so.3 libz.so.1 libjpeg.so.62 libc.so.1 
                     hash libc.so.1 
                    iconv libc.so.1 
                     json libc.so.1 
                 mbstring libc.so.1 
                    mysql libmysqlclient_r.so.15 libc.so.1 
                  openssl libssl.so.0.9.7 libcrypto.so.0.9.7 libc.so.1 
                     pcre libpcre.so.0 libc.so.1 
                      pdo libc.so.1 
                pdo_mysql libmysqlclient_r.so.15 libc.so.1 
                    posix libc.so.1 
                  session libc.so.1 
                    shmop libc.so.1 
                  sockets libc.so.1 
                tokenizer libc.so.1 
                      xml libxml2.so.2 libz.so.1 libm.so.2 libsocket.so.1 libnsl.so.1 libc.so.1 
                xmlreader libxml2.so.2 libz.so.1 libm.so.2 libsocket.so.1 libnsl.so.1 libc.so.1 
                xmlwriter libxml2.so.2 libz.so.1 libm.so.2 libsocket.so.1 libnsl.so.1 libc.so.1 
                      xsl libexslt.so.0 libxslt.so.1 libxml2.so.2 libz.so.1 libsocket.so.1 libnsl.so.1 libm.so.2 libc.so.1 
                      zip libz.so.1 libc.so.1 
                     zlib libz.so.1 libc.so.1 

      If PHP cant find those libs, your httpd may NOT work. So make sure,
      that the path to theses libraries is included in your /etc/ld.so.conf
      or in bin/envvars of your httpd directory (LD_LIBRARY_PATH)!


NOTE: If PHP can not find its php.ini, it uses its default compiled-in values.


NOTE: It is possible, that your php.ini and/or httpd configuration does not
      allow php to execute programs, scripts or include files. This is
      propbably caused due to safe_mode* php options.
      So have a look at the documentation (configuration options:
      e.g. http://www.php.net/manual/en/configuration.php or  Safe Mode:
      http://www.php.net/manual/en/features.safe-mode.php) and make the
      appropriate changes to match your needs.

NOTE: The posix module (process creation, program execution, signal handling
      and process termination) should not be enabled within a webserver
      environment for security reasons. Unexpected things may happen if
      any Process Control functions are used within a webserver environment.
